'use strict';

var _counties = require('./json/counties.json');

var _counties2 = _interopRequireDefault(_counties);

var _constituencies = require('./json/constituencies.json');

var _constituencies2 = _interopRequireDefault(_constituencies);

var _uniqueRandomArray = require('unique-random-array');

var _uniqueRandomArray2 = _interopRequireDefault(_uniqueRandomArray);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = {
  counties: _counties2.default,
  randomcounty: randomcounty,
  constituencies: _constituencies2.default,
  randomconstituency: randomconstituency
};

function randomcounty(number) {
  var arr = (0, _uniqueRandomArray2.default)(_counties2.default);
  if (number === undefined) {
    return arr();
  } else {
    var randomitems = [];
    for (var i = 0; i < number; i++) {
      randomitems.push(arr());
    }
    return randomitems;
  }
}

function randomconstituency(number) {
  var arr = (0, _uniqueRandomArray2.default)(_constituencies2.default);
  if (number === undefined) {
    return arr();
  } else {
    var randomitems = [];
    for (var i = 0; i < number; i++) {
      randomitems.push(arr());
    }
    return randomitems;
  }
}